commit 60de2b5874021dc3d6bf66b607aac69319f69499
Author: Jonathan Wakely <jwakely@redhat.com>
Date:   Mon Apr 26 13:28:37 2021

    libstdc++: Add missing headers for errno and std::terminate
    
    libstdc++-v3/ChangeLog:
    
            * include/bits/semaphore_base.h: Include <exception> and <errno.h>.
    
    (cherry picked from commit a38b1a59f8eb6f41a885f8a7c8838378be717b02)

diff --git a/libstdc++-v3/include/bits/semaphore_base.h b/libstdc++-v3/include/bits/semaphore_base.h
index c970fd66a36..c4565d7e560 100644
--- a/libstdc++-v3/include/bits/semaphore_base.h
+++ b/libstdc++-v3/include/bits/semaphore_base.h
@@ -39,8 +39,10 @@
 #endif // __cpp_lib_atomic_wait
 
 #ifdef _GLIBCXX_HAVE_POSIX_SEMAPHORE
-# include <limits.h>
-# include <semaphore.h>
+# include <exception>	// std::terminate
+# include <cerrno>	// errno, EINTR, EAGAIN etc.
+# include <limits.h>	// SEM_VALUE_MAX
+# include <semaphore.h>	// sem_t, sem_init, sem_wait, sem_post etc.
 #endif
 
 #include <chrono>

